Tickets
Create a conversation-linked ticket
Create general work for an existing conversation without pausing AI or changing read/reply state. Several tickets can coexist with an escalation. Assignees must be active human team members. For human takeover use create_escalation. Creation is idempotent; use the same key with identical input only.
POST
/
tickets
Create a conversation-linked ticket
curl --request POST \
--url https://platform-api.visitoai.com/m2m/v1/tickets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"conversationId": "<string>",
"title": "<string>",
"description": "<string>",
"operatorId": "<string>",
"propertyId": "<string>",
"sourceMessageId": "<string>"
}
'import requests
url = "https://platform-api.visitoai.com/m2m/v1/tickets"
payload = {
"conversationId": "<string>",
"title": "<string>",
"description": "<string>",
"operatorId": "<string>",
"propertyId": "<string>",
"sourceMessageId": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
conversationId: '<string>',
title: '<string>',
description: '<string>',
operatorId: '<string>',
propertyId: '<string>',
sourceMessageId: '<string>'
})
};
fetch('https://platform-api.visitoai.com/m2m/v1/tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform-api.visitoai.com/m2m/v1/tickets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'conversationId' => '<string>',
'title' => '<string>',
'description' => '<string>',
'operatorId' => '<string>',
'propertyId' => '<string>',
'sourceMessageId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform-api.visitoai.com/m2m/v1/tickets"
payload := strings.NewReader("{\n \"conversationId\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"operatorId\": \"<string>\",\n \"propertyId\": \"<string>\",\n \"sourceMessageId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://platform-api.visitoai.com/m2m/v1/tickets")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"conversationId\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"operatorId\": \"<string>\",\n \"propertyId\": \"<string>\",\n \"sourceMessageId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform-api.visitoai.com/m2m/v1/tickets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"conversationId\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"operatorId\": \"<string>\",\n \"propertyId\": \"<string>\",\n \"sourceMessageId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"ticketId": "<string>",
"tenantId": "<string>",
"conversationId": "<string>",
"type": "ticket",
"status": "pending",
"title": "<string>",
"description": "<string>",
"revision": 1,
"channel": "<string>",
"contextStatus": "available",
"contact": {
"displayName": "<string>",
"avatarUrl": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>",
"source": {
"kind": "manual",
"messageId": "<string>",
"eventId": "<string>"
},
"permittedActions": [
"update"
],
"business": {
"propertyId": "<string>",
"name": "<string>"
},
"assignee": {
"operatorId": "<string>",
"name": "<string>"
},
"resolvedAt": "<string>",
"escalation": {
"reasonCode": "<string>",
"returnsToAiOnResolve": true,
"ownershipActive": true,
"capturedFields": {},
"missingFields": [
"<string>"
],
"knowledgeGap": {
"contextStatus": "available",
"schemaVersion": "1.0",
"category": "<string>",
"sourceCount": 4503599627370495,
"sourceTitles": [
"<string>"
],
"importance": "<string>",
"confidence": "high",
"receiptStatus": "available",
"receipt": {
"receiptId": "<string>",
"reportedAt": "2023-11-07T05:31:56Z",
"behavior": "report_only",
"disposition": "reported"
}
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Server-side tenant-scoped credential created from Build > API Keys.
Headers
Reuse only with the exact original request. If the outcome is uncertain, reconcile the returned requestId before retrying.
Required string length:
1 - 200Body
application/json
Required string length:
1 - 200Required string length:
1 - 160Maximum string length:
2000Required string length:
1 - 200Required string length:
1 - 200Required string length:
1 - 200Response
Confirmed resource state.
Available options:
ticket, escalation Available options:
pending, in_progress, resolved, cancelled Required range:
x >= 0Available options:
available, unavailable Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
update, assign, note, start, resolve, cancel Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Create a conversation-linked ticket
curl --request POST \
--url https://platform-api.visitoai.com/m2m/v1/tickets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"conversationId": "<string>",
"title": "<string>",
"description": "<string>",
"operatorId": "<string>",
"propertyId": "<string>",
"sourceMessageId": "<string>"
}
'import requests
url = "https://platform-api.visitoai.com/m2m/v1/tickets"
payload = {
"conversationId": "<string>",
"title": "<string>",
"description": "<string>",
"operatorId": "<string>",
"propertyId": "<string>",
"sourceMessageId": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
conversationId: '<string>',
title: '<string>',
description: '<string>',
operatorId: '<string>',
propertyId: '<string>',
sourceMessageId: '<string>'
})
};
fetch('https://platform-api.visitoai.com/m2m/v1/tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform-api.visitoai.com/m2m/v1/tickets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'conversationId' => '<string>',
'title' => '<string>',
'description' => '<string>',
'operatorId' => '<string>',
'propertyId' => '<string>',
'sourceMessageId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform-api.visitoai.com/m2m/v1/tickets"
payload := strings.NewReader("{\n \"conversationId\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"operatorId\": \"<string>\",\n \"propertyId\": \"<string>\",\n \"sourceMessageId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://platform-api.visitoai.com/m2m/v1/tickets")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"conversationId\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"operatorId\": \"<string>\",\n \"propertyId\": \"<string>\",\n \"sourceMessageId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform-api.visitoai.com/m2m/v1/tickets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"conversationId\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"operatorId\": \"<string>\",\n \"propertyId\": \"<string>\",\n \"sourceMessageId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"ticketId": "<string>",
"tenantId": "<string>",
"conversationId": "<string>",
"type": "ticket",
"status": "pending",
"title": "<string>",
"description": "<string>",
"revision": 1,
"channel": "<string>",
"contextStatus": "available",
"contact": {
"displayName": "<string>",
"avatarUrl": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>",
"source": {
"kind": "manual",
"messageId": "<string>",
"eventId": "<string>"
},
"permittedActions": [
"update"
],
"business": {
"propertyId": "<string>",
"name": "<string>"
},
"assignee": {
"operatorId": "<string>",
"name": "<string>"
},
"resolvedAt": "<string>",
"escalation": {
"reasonCode": "<string>",
"returnsToAiOnResolve": true,
"ownershipActive": true,
"capturedFields": {},
"missingFields": [
"<string>"
],
"knowledgeGap": {
"contextStatus": "available",
"schemaVersion": "1.0",
"category": "<string>",
"sourceCount": 4503599627370495,
"sourceTitles": [
"<string>"
],
"importance": "<string>",
"confidence": "high",
"receiptStatus": "available",
"receipt": {
"receiptId": "<string>",
"reportedAt": "2023-11-07T05:31:56Z",
"behavior": "report_only",
"disposition": "reported"
}
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}